import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { AdDeliveryGlobalLotBlacklist } from '../models/index';
/**
 * @author auto generate
 * @version 1.1
 * @date 2021-06-07 15:15
 */
interface AdDeliveryGlobalLotBlacklistCU extends ConditionUtil<AdDeliveryGlobalLotBlacklistCU> {
    LOT_ID: FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    DEL_FLAG: FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    CREATE_TIME: FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    CREATOR: FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    UPDATE_TIME: FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    UPDATOR: FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
}
declare class AdDeliveryGlobalLotBlacklistMU extends TableUtilImpl<AdDeliveryGlobalLotBlacklistCU, AdDeliveryGlobalLotBlacklist> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): AdDeliveryGlobalLotBlacklistCU;
    static get LOT_ID(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    static get DEL_FLAG(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    static get CREATE_TIME(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    static get CREATOR(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    static get UPDATE_TIME(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    static get UPDATOR(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    get LOT_ID(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    get DEL_FLAG(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    get CREATE_TIME(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    get CREATOR(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    get UPDATE_TIME(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
    get UPDATOR(): FieldUtil<AdDeliveryGlobalLotBlacklistCU>;
}
export { AdDeliveryGlobalLotBlacklistMU, AdDeliveryGlobalLotBlacklistCU };
